"use client";
import { useTranslations } from "next-intl";
import { FC, PropsWithChildren } from "react";
interface Props {}

const HomeSearch: FC<PropsWithChildren<Props>> = (props) => {
    const t = useTranslations("HomePage");
    const handler = () => {
        console.log(`🎯🎯🎯🎯🎯-> in HomeSearch.tsx on 9`, "");
    };
    return (
        <div
            onClick={handler}
            className={
                "flex items-center rounded-[0.03rem] bg-[#191919] py-[5px]" +
                " px-[10px] text-[#6e6e6e]"
            }
        >
            <i className={"iconfont icon-sousuo1 mr-[0.0833rem] text-[0.16rem]"}></i>
            <span className={"text-[0.12rem]"}>{t("search")}</span>
        </div>
    );
};

export default HomeSearch;
