"use client";
import { useTranslations } from "next-intl";
import { FC } from "react";
import "./page.scss";

interface Props {}
const App: FC<Props> = (props) => {
    const t = useTranslations("ReferralsPage");

    return (
        <div className="content">
            <div className="referral referral-router-view">
                <div className="search">
                    <div className="time">
                        <span className="dateTime"></span>
                        <div>
                            <span className="iconfont icon-rili"></span>
                            <span className="iconfont icon-guanbi"></span>
                        </div>
                    </div>
                </div>
                <ul className="header">
                    <li>
                        <div>#</div>
                        <div>{t("Conta")}</div>
                        <div>
                            {t("Apostas")}({t("R$")})
                        </div>
                        <div>
                            {t("ApostaEquipe")}({t("R$")})
                        </div>
                        <div>{t("Comissão")}</div>
                    </li>
                </ul>
                <div role="feed" className="list van-list">
                    <div className="van-list__finished-text">{t("Opa")}</div>
                    <div className="van-list__placeholder"></div>
                </div>
                <div className="total">
                    <div>
                        <span className="num">{t("R$")} 0</span>
                        <span>{t("Aposta")}</span>
                    </div>
                    <div>
                        <span className="num">{t("R$")} 0</span>
                        <span>{t("Comissão")}</span>
                    </div>
                </div>
                {/* 日历 */}
            </div>
        </div>
    );
};
export default App;
